VismaBouwsoftAPICalls.v1_POST_CostCalculationVariables Method
v1_POST_CostCalculationVariables() as String

This API call is used to add a(n) CostCalculationVariable

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /CostCalculationVariables
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
parent_id 1 tpLong 0 No No No
parent_type 2 tpString 0 No No No
order_id 1 tpLong 0 No No No
order_dc_id 1 tpLong 0 No No No
orderline_id 1 tpLong 0 No No No
item_id 1 tpLong 0 No No No
page 1 tpLong 0 No No No
name 2 tpString 5 Yes Yes No
description 2 tpString 0 No No No
value 4 tpDouble 0 No No No
source 1 tpLong 0 No No No
source_parent_id 1 tpLong 0 No No No

/CostCalculationVariables

API Path: /CostCalculationVariables/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/CostCalculationVariables

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OfjfWxfkOVzSfrVfIfzRqGftfmbVGfjIfbVbzDfUAGrfAtVGAP

Query Parameters :
ParameterName: columns, ParameterValue: parent_id=348,parent_type=’orderline‘,name=’AP’,description=’APIVar’,value=2

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 44102,
    "parent_id": 348,
    "parent_type": "orderline",
    "order_id": 33,
    "order_dc_id": 0,
    "orderline_id": 348,
    "item_id": 0,
    "page": 1,
    "name": "AP",
    "description": "APIVar",
    "value": 2
  }
]
}